.woocommerce-radio-variations .radio-options-row {
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: .5rem;
}

.woocommerce-radio-variations .radio-variation-label {
    display: inline-flex;
    align-items: center;
    gap: .25rem;
    padding: .4rem .6rem;
    border: 1px solid transparent;
    border-radius: 6px;
    cursor: pointer;
    justify-content: center;
    background-color: transparent;
    transition: background 0.2s, border-color 0.2s;
    font-weight: 400 !important;
}

@media (max-width: 768px) {
    .woocommerce-radio-variations .radio-options-row {
        display: flex;
        flex-wrap: wrap;
        justify-content: start;
        gap: 14px;
        margin: 10px 0 0 8px;
    }

    .woocommerce-radio-variations .radio-variation-label {
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: transparent;
        width: 60px;
        height: 40px;
        border: 1px solid #000;
        border-radius: 0;
        padding: 0;
        margin: 0;
    }

    .woocommerce-radio-variations .radio-variation-text {
        font-family: "AA Stetica", sans-serif;
        font-size: 16px;
        color: #000;
        line-height: 1;
    }

    .woocommerce-radio-variations .radio-variation-label input[type="checkbox"] {
        position: absolute;
        opacity: 0;
        width: 0;
        height: 0;
    }

    .woocommerce-radio-variations .radio-variation-label:has(input:checked) {
        background-color: #c69a6d7d !important;
        border-color: #000;
    }
}
